Search Results for

Show / Hide Table of Contents

# Interface ITreeNode

Interface to implement when you want the regular (non generic) TreeView to automatically determine children for your class (without having to specify an ITreeBuilder<T>)

###### Namespace: Terminal.Gui.Trees

###### Assembly: Terminal.Gui.dll

##### Syntax

    public interface ITreeNode

### Properties

#### Children

The children of your class which should be rendered underneath it when expanded

##### Declaration

    IList<ITreeNode> Children { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IList<ITreeNode> |

#### Tag

Optionally allows you to store some custom data/class here.

##### Declaration

    object Tag { get; set; }

##### Property Value

Type | Description
--- | ---
System.Object |

#### Text

Text to display when rendering the node

##### Declaration

    string Text { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |